GET /crm/admin/{accountId}/customers/{crmCustomerId}

Headers

  • Accept string Required

Path parameters

  • accountId string Required

    Deliverect account ID

  • crmCustomerId string Required

    CRM customer ID

Query parameters

  • size integer(int32)
  • page integer(int32)

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • email string
    • fullName string
    • lastPurchaseDate string
    • phone object
    • customerId string
    • statistics object
      Hide statistics attributes Show statistics attributes object
      • totalOrders number
      • totalPurchaseAmount object
        Hide totalPurchaseAmount attributes Show totalPurchaseAmount attributes object
        • value number
        • currency string
        • display string
      • averageOrderValue object
        Hide averageOrderValue attributes Show averageOrderValue attributes object
        • value number
        • currency string
        • display string
GET /crm/admin/{accountId}/customers/{crmCustomerId}
curl \
 --request GET 'https://api.staging.deliverect.com/crm/admin/{accountId}/customers/zqTeSTMFcZc4ylr-A1DRp4GqSQZ2j2M6T_n3ao6jC4zuQqRVIzpWlLQvVMinO2ct7uYvUPz7YM10T26pyA' \
 --header "Accept: application/json"
Response examples (200)
{
  "email": "john.doe@example.com",
  "phone": null,
  "fullName": "John Doe",
  "customerId": "zqTeSTMFcZc4ylr-A1DRp4GqSQZ2j2M6T_n3ao6jC4zuQqRVIzpWlLQvVMinO2ct7uYvUPz7YM10T26pyA",
  "statistics": {
    "totalOrders": 12,
    "averageOrderValue": {
      "value": 546,
      "display": "5.46",
      "currency": "EUR"
    },
    "totalPurchaseAmount": {
      "value": 6557,
      "display": "65.57",
      "currency": "EUR"
    }
  },
  "lastPurchaseDate": "2025-10-31T14:34:12.636000Z"
}